unit l_input;

interface

uses
 Windows, l_math, l_gl;

var
 Key : array [0..255] of boolean;

 function KeyDown(Btn: Byte): boolean;
 procedure ResetKeys;
 procedure KeyOnDown(ID: Byte);
 procedure KeyOnUp(ID: Byte);
 procedure MouseDelta(X, Y: integer);

var
 MDelta : TPoint;

implementation

var
 MMove : boolean;

function KeyDown(Btn: Byte): boolean;
begin
Result := Key[Btn];
end;

procedure ResetKeys;
begin
ZeroMemory(@Key, 256);
MDelta.X := 0;
MDelta.Y := 0;
end;

procedure KeyOnDown(ID: Byte);
begin
Key[ID] := true;
end;

procedure KeyOnUp(ID: Byte);
begin
Key[ID] := false;
end;

procedure MouseDelta(X, Y: integer);
var
 p : TPoint;
begin
if not MMove then
 MMove := true
else
 begin
 p.X := glWidth div 2;
 p.Y := glHeight div 2;
 MDelta.X := X - p.X;
 MDelta.Y := Y - p.Y;
 MMove := false;
 ClientToScreen(Handle, p);
 SetCursorPos(p.X, p.Y);
 end;
end;


end.
